Run an Action
curl --request POST \
--url https://api.arg.ai/api/workspaces/{workspaceId}/actions/{actionId}/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {},
"idempotencyKey": "<string>",
"surface": "<string>"
}
'import requests
url = "https://api.arg.ai/api/workspaces/{workspaceId}/actions/{actionId}/run"
payload = {
"input": {},
"idempotencyKey": "<string>",
"surface": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: {}, idempotencyKey: '<string>', surface: '<string>'})
};
fetch('https://api.arg.ai/api/workspaces/{workspaceId}/actions/{actionId}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Actions
Run an Action
Run one Action in a workspace and return its run record. Actions that write require workspace write access.
POST
/
api
/
workspaces
/
{workspaceId}
/
actions
/
{actionId}
/
run
Run an Action
curl --request POST \
--url https://api.arg.ai/api/workspaces/{workspaceId}/actions/{actionId}/run \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"input": {},
"idempotencyKey": "<string>",
"surface": "<string>"
}
'import requests
url = "https://api.arg.ai/api/workspaces/{workspaceId}/actions/{actionId}/run"
payload = {
"input": {},
"idempotencyKey": "<string>",
"surface": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({input: {}, idempotencyKey: '<string>', surface: '<string>'})
};
fetch('https://api.arg.ai/api/workspaces/{workspaceId}/actions/{actionId}/run', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{}{
"detail": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful response
The response is of type object.